Summary:	HEIF image pixbuf-loader for Gtk+
Name:		heif-pixbuf-loader
Version:	1.1
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/gtk-pixbuf-loaders/
Source0:	heif-pixbuf-loader-1.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	gdk-pixbuf2 libheif
BuildRequires:	gdk-pixbuf2-devel libheif-devel gcc

%define debug_package %{nil}

%description 
HEIF image pixbuf-loader plugin for Gtk+ provides read-only access to HEIF images

%prep
%setup -c -n %{name}

%build
cd heif-pixbuf-loader
make

%install
install -D heif-pixbuf-loader/libpixbufloader-heif.so %{buildroot}%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-heif.so
#install -D heif-pixbuf-loader/vr5-heif.xml %{buildroot}/usr/share/%{name}-%{version}/vr5-heif.xml

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache
#xdg-mime install /usr/share/%{name}-%{version}/vr5-heif.xml

#%preun
#xdg-mime uninstall /usr/share/%{name}-%{version}/vr5-heif.xml

%postun
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache

%files 
%defattr(0755,root,root)
%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-heif.so
#/usr/share/%{name}-%{version}/vr5-heif.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Wed Apr 24 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for heif-pixbuf-loader
